vCal files are in format 2.0 which is not accepted by Palm Desktop

RESOLVED INVALID

Status

Calendar
Import and Export
RESOLVED INVALID
14 years ago
11 years ago

People

(Reporter: Michael Webster, Unassigned)

Tracking

Details

(Reporter)

Description

14 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7) Gecko/20040626 Firefox/0.9.1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7) Gecko/20040626 Firefox/0.9.1

I could not get Palm Desktop to accept an exported calendar entry because,
according to Palm support, Palm Desktop supports only version 1.0 of the vCal
format.  Palm mentions that some software offers a switch to this format.

The current work-around for me is to hand edit the VERSION line to say 1.0 

Reproducible: Always
Steps to Reproduce:
1. Create a calendar entry
2. Export as vCal
3. Open Palm Desktop and try Import vCal

Actual Results:  
An error message says there is a problem and that the file I am trying to import
may not be in the proper format.

Expected Results:  
Entered the exported calendar entry into the Palm Desktop
I don't get this. MozCal supports 2.0, a standard. Palm does not support this
standard. It can't be a bug in the MozCal. Maybe it's a feature request to
support both 1.0 and 2.0 vCal?
If it's not a request then I propose invalid, this is not a bug.

Comment 2

13 years ago
This bug may be a special case of Bug 231724.

It would be nice to know exactly what part of the syntax is breaking it.
For example, can Palm Desktop deal with the example output at
https://bugzilla.mozilla.org/attachment.cgi?id=162152&action=view
(from bug 264447).  If not, can you narrow down what is wrong (remove parts of
file until it works)?

The export dialog allows you to choose either icalendar (2.0) or vcalendar
(1.0), but the vCalendar export has been just producing the same file as
iCalendar export.  Bug 264447 starts addressing this.
(Reporter)

Comment 3

13 years ago
I think my original posting was pretty clear.

Change the VERSION line to 1.0 and it works.  I would say that is the part of
the syntax that is breaking things.

I can not say this is definitley worth fixing since:

1)  Palm Desktop is up a few more versions than I use
2)  I can't update my Desktop because my Palm OS is not upgradeable and not 
    supported.

Comment 4

13 years ago
Sunbird exports vCals as 1.0 for me, not 2.0 as this user and many websites say.
Palm still won't take it.

Updated

13 years ago
QA Contact: gurganbl → general
Reassigning all automatically assigned bugs from Mostafa to nobody@m.o

Bugspam filter: TorontoMostafaMove
Assignee: mostafah → nobody
Component: General → Import and Export
QA Contact: general → import-export
Does somebody have a Palm with Palm Desktop to check what latest nightly builds of Lightning/Sunbird export as vCal and if Palm Desktop can open/import it? -> qawanted
Keywords: qawanted

Comment 7

11 years ago
IMO this bug is INVALID, since Sunbird no longer exports to the vCal format (.vcs). For testing purposes I tried to export a holiday file as .ics, renamed the file to .vcs and tried to import it into Palm Desktop (available from http://euro.palm.com/europe/de/support/win_desktop414e.html). 

It didn't work. Palm Desktop aborted with a parser error.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 11 years ago
Keywords: qawanted
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.